Subject: Re: [PATCH v2 1/4] promisor-remote: read partialClone config here

From: Junio C Hamano <[email-masked]>
Date: Wed, 09 Jun 2021 18:30:25 +0900

Jonathan Tan <[email-masked]> writes:

> I'm reluctant to add more fields to struct repository_format.

I am only suggesting to add one new member to either struct
repository or struct repo_settings, so that it becomes crystal clear
that struct repository_format is about each single repository, not
the global the_repository.  Other things that partial repository
support needs to keep *and* do not directly come from extensions
would not belong to repository_format and should not be added there,
but what we read from extensions.* for each repository belongs to
each instance of in-core repository structure and should be
discoverable starting from "struct repository", no?